#! /usr/bin/env python
# -*- coding: utf-8 -*-

from sys import *
import sqlite3
import string

Phonetic={
	'i':'ɪ',  ':':'ː',  'e':'e',  '5':'æ',   '1':'ɑ',  '6':'ɔ',
	'u':'u',  '2':'ʌ',  '3':'ə',  'a':'ɑ',   'o':'o',  '4':'ɛ',
	'j':'j',  'p':'p',  'b':'b',  't':'t',   'd':'d',  'k':'k',
	'g':'ɡ',  'm':'m',  'n':'n',  '9':'ŋ',   'l':'l',  'f':'f',
	'v':'v',  '0':'θ',  '8':'ð',  's':'s',   'z':'z',  '7':'ʃ',
	'=':'ʒ',  'r':'r',  'h':'h',  'w':'w',   '[':'[',  '\'':'ˈ',
	';':'ˌ',  ']':']',  '-':'-',  '(':'(',   ')':')',  ',':',',   ' ':' '
}

def to_Phonetic(pho):
	ddd=0
	ipatemp=''
	while ddd<len(pho):
		try:
			ipatemp=ipatemp+Phonetic[pho[ddd]]
		except KeyError:
			ipatemp=''
			break
		ddd=ddd+1
	return ipatemp


conn = sqlite3.connect("dict.db")
cur=conn.cursor()
cur.execute('select * from dict')
item=cur.fetchall()

rvdcon = sqlite3.connect("reviewed.db")
rvdcur = rvdcon.cursor()

widx=0
widxtmp=raw_input('从第几个词开始？(直接按回车会从 0 开始)')
if widxtmp.isdigit():
	widx=int(widxtmp)

while 1:
	word=item[widx][0]
	rvdcur.execute('select * from dict where word=?',(word,))
	tmp=rvdcur.fetchone()
	if tmp:
		widx=widx+1
		continue
	ipas=string.split(item[widx][1],'\r')
	means=string.split(item[widx][2],'\r')
	print word
	print '音标：'
	i=0
	while i<len(ipas):
		print str(i)+')  ' +to_Phonetic(ipas[i])
		i=i+1
	
	ipsidx=''
	ipa=''
	while len(ipsidx)==0:
		ipsidx=raw_input('第几个音标是正确的？可以输入一个数字，输入 ab12 表示都不正确')
	if ipsidx.isdigit() and int(ipsidx)<len(ipas):
		ipa=ipas[int(ipsidx)]
	elif ipsidx=='ab12':
		ipa='ab12'
	else:
		continue
	
	print '意思：'
	i=0
	while i<len(means):
		print str(i)+')' +means[i]
		i=i+1
	midx=''
	mean=''
	while len(midx)==0:
		midx=raw_input('第几个意思是正确的？可以输入一个数字，也可以输入新的意思')
	if midx.isdigit() and int(midx)<len(means):
		mean=means[int(midx)]
	elif not midx.isdigit() and len(midx)>0:
		mean=midx.decode('utf-8')
	else:
		continue
	
	print word+':   ['+to_Phonetic(ipa).decode('utf-8')+']'
	print mean
	midx=raw_input('以上正确吗？回车或者 y, yes 表示正确，其它表示不正确')

	if midx=='y' or midx=='yes' or midx=='':
		rvdcur.execute('insert into dict values (?,?,?)',(word,ipa,mean))
		rvdcon.commit()
		widx=widx+1
	else:
		continue	
		
